Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.core.isdl.ast
Class StmtRebuilder.DepthFirst

    java.lang.Object
      avrora.core.isdl.ast.CodeRebuilder.DepthFirst
          avrora.core.isdl.ast.StmtRebuilder.DepthFirst

All Implemented Interfaces:
  CodeRebuilder, StmtRebuilder

Enclosing class:
  StmtRebuilder

public static class StmtRebuilder.DepthFirst
extends CodeRebuilder.DepthFirst
implements StmtRebuilder

The `DepthFirst` class is a base implementation of the `StmtVisitor` interface that visits the tree in depth-first order.

Nested Class Summary

Nested classes inherited from class avrora.core.isdl.ast.StmtRebuilder
`StmtRebuilder.DepthFirst`

Constructor Summary
`StmtRebuilder.DepthFirst()`

Method Summary
`Stmt` | `visit(CallStmt s)`
`Stmt` | `visit(DeclStmt s)`
`Stmt` | `visit(IfStmt s)`
`Stmt` | `visit(MapAssignStmt s)`
`Stmt` | `visit(MapBitAssignStmt s)`
`Stmt` | `visit(MapBitRangeAssignStmt s)`
`Stmt` | `visit(ReturnStmt s)`
`Stmt` | `visit(VarAssignStmt s)`
`Stmt` | `visit(VarBitAssignStmt s)`
`Stmt` | `visit(VarBitRangeAssignStmt s)`
`java.util.List` | `visitStmtList(java.util.List l)`

Methods inherited from class avrora.core.isdl.ast.CodeRebuilder.DepthFirst
`visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visitExprList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface avrora.core.isdl.ast.CodeRebuilder
`visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

Constructor Detail

### StmtRebuilder.DepthFirst

    public StmtRebuilder.DepthFirst()

Method Detail

### visit

    public Stmt visit(CallStmt s)

  Specified by:
    `visit` in interface `StmtRebuilder`

### visit

    public Stmt visit(DeclStmt s)

  Specified by:
    `visit` in interface `StmtRebuilder`

### visit

    public Stmt visit(IfStmt s)

  Specified by:
    `visit` in interface `StmtRebuilder`

### visitStmtList

    public java.util.List visitStmtList(java.util.List l)

### visit

    public Stmt visit(MapAssignStmt s)

  Specified by:
    `visit` in interface `StmtRebuilder`

### visit

    public Stmt visit(MapBitAssignStmt s)

  Specified by:
    `visit` in interface `StmtRebuilder`

### visit

    public Stmt visit(MapBitRangeAssignStmt s)

  Specified by:
    `visit` in interface `StmtRebuilder`

### visit

    public Stmt visit(ReturnStmt s)

  Specified by:
    `visit` in interface `StmtRebuilder`

### visit

    public Stmt visit(VarAssignStmt s)

  Specified by:
    `visit` in interface `StmtRebuilder`

### visit

    public Stmt visit(VarBitAssignStmt s)

  Specified by:
    `visit` in interface `StmtRebuilder`

### visit

    public Stmt visit(VarBitRangeAssignStmt s)

  Specified by:
    `visit` in interface `StmtRebuilder`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD